<div class="m-10" [formGroup]="formGroup">
  <!-- Natives attributes -->
  <div class="two-cols-form p-4">
    <label class="label label__align_right">{{
      'sqtm-core.entity.test-case.kind.label' | translate
    }}</label>
    <sqtm-core-select-field
      [formGroup]="formGroup"
      [fieldName]="TC_KIND_FIELD_NAME"
      [options]="kindOptions"
    ></sqtm-core-select-field>
    <label class="label label__align_right">{{
      'sqtm-core.entity.generic.name.label' | translate
    }}</label>
    <sqtm-core-text-field
      [initialFocus]="true"
      [formGroup]="formGroup"
      [fieldName]="'name'"
      [serverSideFieldValidationError]="serverSideValidationErrors"
      #nameField
    ></sqtm-core-text-field>
    @if (data.optionalTextFields) {
      @for (optionalField of optionalTextFields; track optionalField) {
        <label class="label label__align_right">{{
          getLabelI18nKey(optionalField.fieldName) | translate
        }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="optionalField.fieldName"
        ></sqtm-core-text-field>
      }
    }
    <label class="label label__align_right">{{
      'sqtm-core.entity.generic.description.label' | translate
    }}</label>
    <sqtm-core-rich-text-field
      [formGroup]="formGroup"
      [fieldName]="'description'"
      [serverSideFieldValidationError]="serverSideValidationErrors"
    >
    </sqtm-core-rich-text-field>
  </div>
  @if (customFields.length > 0) {
    <sqtm-core-custom-field-form
      [customFields]="customFields"
      [parentFormGroup]="formGroup"
      [alignLabelRight]="true"
    ></sqtm-core-custom-field-form>
  }
</div>
